from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XPropertyHandler(Protocol):
    def removePropertyChangeListener(self, Listener: XPropertyChangeListener) -> None: ...
    def getSupportedProperties(self) -> list[Property]: ...
    def getSupersededProperties(self) -> list[str]: ...
    def getActuatingProperties(self) -> list[str]: ...
    def suspend(self, Suspend: bool) -> bool: ...
